summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Alexander Neumann (rauhfasertapete) <hotpotatorouting@gmail.com>2009-12-26 19:56:52 +0000
committerMartin Alexander Neumann (rauhfasertapete) <hotpotatorouting@gmail.com>2009-12-26 19:56:52 +0000
commit894e1e40de49877f1b6464c5b3c7024d318be9bd (patch)
treed9ee2f110924560c1f1b87bd7dcfe8dc41e0239b /dev-tex/rail
parentsys-apps/ultracopier: New Ebuild for bug 292390 thanks to Tommy[D] and all pe... (diff)
downloadsunrise-894e1e40de49877f1b6464c5b3c7024d318be9bd.tar.gz
sunrise-894e1e40de49877f1b6464c5b3c7024d318be9bd.tar.bz2
sunrise-894e1e40de49877f1b6464c5b3c7024d318be9bd.zip
dev-tex/rail: New Ebuild for bug 298372 thanks to sedzimir and apostrophe
svn path=/sunrise/; revision=9778
Diffstat (limited to 'dev-tex/rail')
-rw-r--r--dev-tex/rail/ChangeLog8
-rw-r--r--dev-tex/rail/Manifest4
-rw-r--r--dev-tex/rail/metadata.xml5
-rw-r--r--dev-tex/rail/rail-1.2_p1.ebuild37
4 files changed, 54 insertions, 0 deletions
diff --git a/dev-tex/rail/ChangeLog b/dev-tex/rail/ChangeLog
new file mode 100644
index 000000000..8be6c145e
--- /dev/null
+++ b/dev-tex/rail/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-tex/rail
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 26 Dec 2009; Martin Alexander Neumann (rauhfasertapete)
+ <hotpotatorouting@gmail.com> +rail-1.2_p1.ebuild, +metadata.xml:
+ New Ebuild for bug 298372 thanks to sedzimir and apostrophe
+
diff --git a/dev-tex/rail/Manifest b/dev-tex/rail/Manifest
new file mode 100644
index 000000000..835e02794
--- /dev/null
+++ b/dev-tex/rail/Manifest
@@ -0,0 +1,4 @@
+DIST rail-1.2_p1.zip 107773 RMD160 48e5e49be59dd0af51a4d7ed43c6a883bf42ce7e SHA1 0f958aef5c25e373555079b5a4632b86f5903342 SHA256 960238a6c344f044b3f1ab441f6cfbc9ad9aaffe407d44bd15627ef40ce6725c
+EBUILD rail-1.2_p1.ebuild 712 RMD160 8d411b2af247842f7efbac8a0164786c681efbc6 SHA1 cf42cb03ce8cff7bfe1f1af648973019f5be883f SHA256 2a6865ccc19bf347394bbd5395752a9d3032a0ac7775cfaf8ad12cee26ca9604
+MISC ChangeLog 301 RMD160 02d77a32159235a68832df33aaa5d4743b0ee0ca SHA1 ab70922129d743bc838c373dc99e955b6fd268cf SHA256 54909a29ca499e2c136e8a68b8dcebc93ec9204b0a3e3290809331f06ba9f4e1
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-tex/rail/metadata.xml b/dev-tex/rail/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-tex/rail/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/dev-tex/rail/rail-1.2_p1.ebuild b/dev-tex/rail/rail-1.2_p1.ebuild
new file mode 100644
index 000000000..483d95b6d
--- /dev/null
+++ b/dev-tex/rail/rail-1.2_p1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit latex-package
+
+DESCRIPTION="Offers syntax/railroad diagrams"
+HOMEPAGE="http://www.ctan.org/tex-archive/support/rail/"
+SRC_URI="http://mirror.ctan.org/support/${PN}.zip
+ -> ${P}.zip"
+
+LICENSE="LPPL-1.2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND="app-text/texlive"
+DEPEND="${RDEPEND}
+ app-arch/unzip
+ sys-devel/bison
+ sys-devel/flex"
+
+S=${WORKDIR}/${PN}
+
+src_compile() {
+ emake || die "make failed"
+}
+
+src_install() {
+ latex-package_src_doinstall sty doc
+
+ dobin rail || die "Installing the rail tool failed"
+
+ newman rail.man rail.1 || die "Installing the manpage failed"
+}